{
    "$graph": [
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-single",
                "sentinel_outputs=sv_rec:sv__variantcaller;sv__vrn_file;svvalidate__summary;resources;description;genome_build;config__algorithm__tools_off;analysis;config__algorithm__tools_on;config__algorithm__svvalidate;genome_resources__aliases__snpeff;regions__sample_callable;depth__bins__normalized;depth__bins__background;depth__bins__target;depth__bins__antitarget;regions__bins__target;regions__bins__antitarget;regions__bins__group;reference__fasta__base;metadata__phenotype;config__algorithm__svcaller;config__algorithm__coverage_interval;genome_resources__rnaseq__gene_bed;genome_resources__variation__encode_blacklist;metadata__batch;genome_resources__variation__lcr;genome_resources__variation__polyx;config__algorithm__variant_regions;config__algorithm__exclude_regions;config__algorithm__variant_regions_merged;depth__variant_regions__regions;config__algorithm__callable_regions",
                "sentinel_inputs=sv_batch_rec:record",
                "run_number=0"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "detect_sv",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "outdirMin": 27601,
                    "ramMin": 28672,
                    "tmpdirMin": 13289
                },
                {
                    "class": "https://www.dnanexus.com/cwl#InputResourceRequirement",
                    "indirMin": 3717
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bedtools",
                            "specs": [
                                "https://anaconda.org/bioconda/bedtools"
                            ]
                        },
                        {
                            "package": "cnvkit",
                            "specs": [
                                "https://anaconda.org/bioconda/cnvkit"
                            ]
                        },
                        {
                            "package": "delly",
                            "specs": [
                                "https://anaconda.org/bioconda/delly"
                            ]
                        },
                        {
                            "package": "extract-sv-reads",
                            "specs": [
                                "https://anaconda.org/bioconda/extract-sv-reads"
                            ]
                        },
                        {
                            "package": "lumpy-sv",
                            "specs": [
                                "https://anaconda.org/bioconda/lumpy-sv"
                            ]
                        },
                        {
                            "package": "manta",
                            "specs": [
                                "https://anaconda.org/bioconda/manta"
                            ]
                        },
                        {
                            "package": "break-point-inspector",
                            "specs": [
                                "https://anaconda.org/bioconda/break-point-inspector"
                            ]
                        },
                        {
                            "package": "mosdepth",
                            "specs": [
                                "https://anaconda.org/bioconda/mosdepth"
                            ]
                        },
                        {
                            "package": "samtools",
                            "specs": [
                                "https://anaconda.org/bioconda/samtools"
                            ]
                        },
                        {
                            "package": "smoove",
                            "specs": [
                                "https://anaconda.org/bioconda/smoove"
                            ]
                        },
                        {
                            "package": "pysam>",
                            "specs": [
                                "https://anaconda.org/bioconda/pysam>"
                            ],
                            "version": [
                                "0.13.0"
                            ]
                        },
                        {
                            "package": "seq2c",
                            "specs": [
                                "https://anaconda.org/bioconda/seq2c"
                            ]
                        },
                        {
                            "package": "simple_sv_annotation",
                            "specs": [
                                "https://anaconda.org/bioconda/simple_sv_annotation"
                            ]
                        },
                        {
                            "package": "survivor",
                            "specs": [
                                "https://anaconda.org/bioconda/survivor"
                            ]
                        },
                        {
                            "package": "svtools",
                            "specs": [
                                "https://anaconda.org/bioconda/svtools"
                            ]
                        },
                        {
                            "package": "svtyper",
                            "specs": [
                                "https://anaconda.org/bioconda/svtyper"
                            ]
                        },
                        {
                            "package": "r",
                            "specs": [
                                "https://anaconda.org/bioconda/r"
                            ],
                            "version": [
                                "3.4.1"
                            ]
                        },
                        {
                            "package": "vawk",
                            "specs": [
                                "https://anaconda.org/bioconda/vawk"
                            ]
                        }
                    ]
                },
                {
                    "class": "http://arvados.org/cwl#RuntimeConstraints",
                    "keep_cache": 4096
                }
            ],
            "inputs": [
                {
                    "id": "#detect_sv.cwl/sv_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/reference__snpeff__GRCh37_75",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__tools_off",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__tools_on",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__svvalidate",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/work_bam_plus__disc",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/work_bam_plus__sr",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/regions__sample_callable",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/depth__bins__normalized",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/depth__bins__background",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/depth__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/depth__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/regions__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/regions__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/regions__bins__group",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__svcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__coverage_interval",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/genome_resources__rnaseq__gene_bed",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/genome_resources__variation__encode_blacklist",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/metadata__batch",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/genome_resources__variation__lcr",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/genome_resources__variation__polyx",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__variant_regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__exclude_regions",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/align_bam",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__variant_regions_merged",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/depth__variant_regions__regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#detect_sv.cwl/sv_batch_rec/sv_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#detect_sv.cwl",
            "outputs": [
                {
                    "id": "#detect_sv.cwl/sv_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/sv__variantcaller",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/sv__vrn_file",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/svvalidate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__tools_off",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__tools_on",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__svvalidate",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/regions__sample_callable",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/depth__bins__normalized",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/depth__bins__background",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/depth__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/depth__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/regions__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/regions__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/regions__bins__group",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__svcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__coverage_interval",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/genome_resources__rnaseq__gene_bed",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/genome_resources__variation__encode_blacklist",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/metadata__batch",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/genome_resources__variation__lcr",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/genome_resources__variation__polyx",
                                    "type": "File"
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__variant_regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__exclude_regions",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__variant_regions_merged",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/depth__variant_regions__regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#detect_sv.cwl/sv_rec/sv_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#detect_sv.cwl/sv_rec/sv_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "hints": [],
            "inputs": [
                {
                    "id": "#main/sv_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/reference__snpeff__GRCh37_75",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__tools_off",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__tools_on",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__svvalidate",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/work_bam_plus__disc",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/work_bam_plus__sr",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/regions__sample_callable",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/depth__bins__normalized",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/depth__bins__background",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/depth__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/depth__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/regions__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/regions__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/regions__bins__group",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__svcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__coverage_interval",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/genome_resources__rnaseq__gene_bed",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/genome_resources__variation__encode_blacklist",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/metadata__batch",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/genome_resources__variation__lcr",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/genome_resources__variation__polyx",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__variant_regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__exclude_regions",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/align_bam",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__variant_regions_merged",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/depth__variant_regions__regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_batch_rec/sv_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/sv_batch_rec/sv_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#main/sv_rec",
                    "outputSource": "#main/detect_sv/sv_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/sv_rec/sv_rec/sv__variantcaller",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/sv__vrn_file",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/svvalidate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__tools_off",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__tools_on",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__svvalidate",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/regions__sample_callable",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/depth__bins__normalized",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/depth__bins__background",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/depth__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/depth__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/regions__bins__target",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/regions__bins__antitarget",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/regions__bins__group",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__svcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__coverage_interval",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/genome_resources__rnaseq__gene_bed",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/genome_resources__variation__encode_blacklist",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/metadata__batch",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/genome_resources__variation__lcr",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/genome_resources__variation__polyx",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__variant_regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__exclude_regions",
                                    "type": [
                                        "null",
                                        "string",
                                        {
                                            "items": [
                                                "null",
                                                "string"
                                            ],
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__variant_regions_merged",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/depth__variant_regions__regions",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/sv_rec/sv_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/sv_rec/sv_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "EnvVarRequirement",
                    "envDef": [
                        {
                            "envName": "MPLCONFIGDIR",
                            "envValue": "."
                        }
                    ]
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "id": "#main/detect_sv",
                    "in": [
                        {
                            "id": "#main/detect_sv/sv_batch_rec",
                            "source": "#main/sv_batch_rec"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/detect_sv/sv_rec"
                        }
                    ],
                    "run": "#detect_sv.cwl"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
